Bug 1476310 - Downloading image using "openstack image save" fails with [Errno 32] Corrupt image download. [NEEDINFO]
Downloading image using "openstack image save" fails with [Errno 32] Corrupt ...
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
unspecified
x86_64 Linux
medium Severity medium
: ---
: 10.0 (Newton)
Assigned To: Pranali Deore
Mike Abrams
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 11:21 EDT by mshetty
Modified: 2018-02-24 21:51 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pdeore: needinfo? (mshetty)
pdeore: needinfo? (mshetty)


Attachments (Terms of Use)
My notes on root causing the issue (91.85 KB, application/pdf)
2017-07-28 11:21 EDT, mshetty
no flags Details

  None (edit)
Description mshetty 2017-07-28 11:21:03 EDT
Created attachment 1305985 [details]
My notes on root causing the issue

Description of problem:
Downloading the image from glance using "openstack image save" fails.

[root@overcloud-controller-0 ~]# openstack image save --file ./example-test.img b5bad39e-4c1b-4d89-8864-0aba2c2be1b9
[Errno 32] Corrupt image download. Checksum was d41d8cd98f00b204e9800998ecf8427e expected ee1eca47dc88f4879d8a229cc70a07c6

[root@overcloud-controller-0 ~]# ls -lrt
total 56
-rw-------. 1 root root  1883 Jun 15 17:38 original-ks.cfg
-rw-------. 1 root root  2620 Jun 15 17:38 anaconda-ks.cfg
-rw-r--r--. 1 root root     0 Jul 28 01:44 example-test.img
[root@overcloud-controller-0 ~]# md5sum example-test.img
d41d8cd98f00b204e9800998ecf8427e  example-test.img



Version-Release number of selected component (if applicable):

This is seen in OSP 10

[stack@undercloud ~]$ sudo yum info openstack-tripleo-heat-templates
Loaded plugins: search-disabled-repos
Installed Packages
Name        : openstack-tripleo-heat-templates
Arch        : noarch
Version     : 5.2.0
Release     : 21.el7ost
Size        : 1.4 M
Repo        : installed
From repo   : rhel-7-server-openstack-10-rpms
Summary     : Heat templates for TripleO
URL         : https://wiki.openstack.org/wiki/TripleO
License     : ASL 2.0
Description : OpenStack TripleO Heat Templates is a collection of templates and tools for
            : building Heat Templates to do deployments of OpenStack.



How reproducible:

After spending some time on this, I found https://bugzilla.redhat.com/show_bug.cgi?id=1391082 that might be related to the issues that I'm seeing.

This is very reproducible in my opinion.


Steps to Reproduce:
1. Deploy OSP 10 with 1 x controller and 1 x compute
2. Scale by adding a compute node to the deployment. This upgrade will fail.
3. Delete the stack, and redeploy with 1 x controller and 2 x compute nodes
4. Upload a cirros image to glance. 
5. Now try and Download the image using "openstack image save". You will see that the image isn't downloaded and a file of size 0 is created.

I initially noticed this issue when the I tried to boot an instance using the cirros image in glance. In this case, the instance boot failed after a long time.



Actual results:


Expected results:


Additional info:
Comment 2 Pranali Deore 2017-09-21 06:28:48 EDT
Tested this on Newton, couldn't reproduce :(

mshetty, was the image uploaded successfully? 
Is it possible for you to share glance logs?

Note You need to log in before you can comment on or make changes to this bug.